SpecialFolder (install4j help)
Date: 2010-09-29

## install4j API documentation

## com.install4j.api.windows
Class SpecialFolder

    java.lang.Object
      com.install4j.api.windows.SpecialFolder

    public class SpecialFolder

extends java.lang.Object

Enumeration class for the different special system folders in Microsoft Windows.

Author:
  ej-technologies GmbH

Field Summary
`static SpecialFolder` | `APPDATA` Identifies the file system directory that serves as a common repository for application-specific data.
`static SpecialFolder` | `DESKTOP` Identifies the file system directory used to physically store file objects on the desktop.
`static SpecialFolder` | `DOCS` Identifies the file system directory used to physically store a user's common repository of documents.
`static SpecialFolder` | `FAVORITES` Identifies the file system directory that serves as a common repository for the user's favorite items.
`static SpecialFolder` | `FONTS` Identifies a virtual folder containing fonts.
`static SpecialFolder` | `LOCAL_APPDATA` Identifies the file system directory that serves as a data repository for local applications.
`static SpecialFolder` | `PROGRAMS` Identifies the file system directory that contains the user's program groups.
`static SpecialFolder` | `SENDTO` Identifies the file system directory that contains Send To menu items.
`static SpecialFolder` | `STARTMENU` Identifies the file system directory containing Start menu items.
`static SpecialFolder` | `STARTUP` Identifies the file system directory that corresponds to the user's Startup program group.
`static SpecialFolder` | `TEMPLATES` Identifies the file system directory that serves as a common repository for document templates.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DESKTOP

    public static final SpecialFolder DESKTOP

  Identifies the file system directory used to physically store file objects on the desktop. A typical path is `C:\Documents and Settings\user name\Desktop` on Windows XP and earlier or `C:\Users\user name\Desktop` on Windows Vista and later.

### STARTMENU

    public static final SpecialFolder STARTMENU

  Identifies the file system directory containing Start menu items. A typical path is `C:\Documents and Settings\user name\Start Menu` on Windows XP and earlier or `C:\Users\user name\AppData\Roaming\Microsoft\Windows\Start Menu` on Windows Vista and later.

### PROGRAMS

    public static final SpecialFolder PROGRAMS

  Identifies the file system directory that contains the user's program groups. The groups are themselves file system directories. A typical path is `C:\Documents and Settings\user name\Start Menu\Programs` on Windows XP and earlier or `C:\Users\user name\AppData\Roaming\Microsoft\Windows\Start Menu\Programs` on Windows Vista and later.

### STARTUP

    public static final SpecialFolder STARTUP

  Identifies the file system directory that corresponds to the user's Startup program group. The system starts these programs whenever any user logs onto Windows NT or starts Windows 95. A typical path is `C:\Documents and Settings\user name\Start Menu\Programs\Startup` on Windows XP and earlier or `C:\Users\user name\AppData\Roaming\Microsoft\Windows\Start Menu\Programs\Startup` on Windows Vista and later.

### SENDTO

    public static final SpecialFolder SENDTO

  Identifies the file system directory that contains Send To menu items. A typical path is `C:\Documents and Settings\user name\SendTo` on Windows XP and earlier or `C:\Users\user name\AppData\Roaming\Microsoft\Windows\SendTo` on Windows Vista and later.

### FONTS

    public static final SpecialFolder FONTS

  Identifies a virtual folder containing fonts. A typical path is `C:\Windows\Fonts`.

### APPDATA

    public static final SpecialFolder APPDATA

  Identifies the file system directory that serves as a common repository for application-specific data. A typical path is `C:\Documents and Settings\user name\Application Data` on Windows XP and earlier or `C:\Users\user name\AppData\Roaming` on Windows Vista and later.

### DOCS

    public static final SpecialFolder DOCS

  Identifies the file system directory used to physically store a user's common repository of documents. A typical path is `C:\Documents and Settings\user name\My Documents` on Windows XP and earlier or `C:\Users\user name\Documents` on Windows Vista and later.

### TEMPLATES

    public static final SpecialFolder TEMPLATES

  Identifies the file system directory that serves as a common repository for document templates. A typical path is `C:\Documents and Settings\user name\Templates` on Windows XP and earlier or `C:\Users\user name\AppData\Roaming\Microsoft\Windows\Templates` on Windows Vista and later.

### FAVORITES

    public static final SpecialFolder FAVORITES

  Identifies the file system directory that serves as a common repository for the user's favorite items. A typical path is `C:\Documents and Settings\user name\Favorites`.

### LOCAL_APPDATA

    public static final SpecialFolder LOCAL_APPDATA

  Identifies the file system directory that serves as a data repository for local applications. A typical path is `C:\Documents and Settings\user name\Local Settings\Application Data` on Windows XP and earlier or `C:\Users\user name\AppData\Local` on Windows Vista and later.